FreeMat

- Main Page
- Related Pages

vtkImageExtractComponents

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImageExtractComponents takes an input with any number of components and outputs some of them. It does involve a copy of the data.

To create an instance of class vtkImageExtractComponents, simply invoke its constructor as follows

      obj = vtkImageExtractComponents

# Methods

The class vtkImageExtractComponents has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageExtractComponents class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageExtractComponents = obj.NewInstance ()`
- `vtkImageExtractComponents = obj.SafeDownCast (vtkObject o)`
- `obj.SetComponents (int c1)` - Set/Get the components to extract.
- `obj.SetComponents (int c1, int c2)` - Set/Get the components to extract.
- `obj.SetComponents (int c1, int c2, int c3)` - Set/Get the components to extract.
- `int = obj. GetComponents ()` - Set/Get the components to extract.
- `int = obj.GetNumberOfComponents ()` - Get the number of components to extract. This is set implicitly by the SetComponents() method.